libcoap 4.3.2rc2

Functions
coap_netif.c File Reference

CoAP Netif handling functions. More...

`#include "coap3/coap_internal.h"`
`#include "coap3/coap_session_internal.h"`

Go to the source code of this file.

## Functions
int | coap_netif_available (coap_session_t *session)
| Function interface to check whether netif for session is still available. More...
ssize_t | coap_netif_dgrm_read (coap_session_t *session, coap_packet_t *packet)
| Function interface for layer data datagram receiving for sessions. More...
ssize_t | coap_netif_dgrm_write (coap_session_t *session, const uint8_t *data, size_t datalen)
| Function interface for netif datagram data transmission. More...
ssize_t | coap_netif_strm_read (coap_session_t *session, uint8_t *data, size_t datalen)
| Function interface for layer data stream receiving. More...
ssize_t | coap_netif_strm_write (coap_session_t *session, const uint8_t *data, size_t datalen)
| Function interface for netif stream data transmission. More...
void | coap_netif_close (coap_session_t *session)
| Layer function interface for Netif close for a session. More...

## Detailed Description

CoAP Netif handling functions.

Definition in file coap_netif.c.